Name:           cppcheck
Summary:    Static analysis tool for C/C++
Version:        2.4
Release:        %mkrel 1
License:        GPLv3+
Group:          System/Libraries
Url:               http://cppcheck.sourceforge.net/
Source:         http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.xz
Patch1:         cppcheck-1.71-skip-failing-tests.patch
Patch0:         cppcheck-2.4-stdlimits.patch

BuildRequires:  cmake
BuildRequires:  docbook-style-xsl
BuildRequires:  libxslt-proc
BuildRequires:  lib64pcre0-devel
BuildRequires:  python3-setuptools

%description
This program tries to detect bugs that your C/C++ compiler does not
find. Cppcheck is versatile. You can check non-standard code that includes
various compiler extensions, inline assembly code, etc. One of its goals
is no false positives.

%prep
%setup -q
%apply_patches

%build
%cmake -DHAVE_RULES=yes -DCFGDIR=%{_datadir}/%{name} -DUSE_BUNDLED_TINYXML2=ON
%cmake_build


%install
rm -rf %buildroot
%cmake_install


# Taken from the Fedora 22 .src.rpm - thanks!
# Install cfg files
cd cfg
for f in *; do
    install -D -p -m 644 $f %{buildroot}%{_datadir}/cppcheck/$f
done

%files
%{_bindir}
%{_datadir}


%changelog
* Fri Jul 02 2021 tex - 2.4-1pclos2021
- new version

* Wed Dec 30 2020 tex -2.3-1pclos2020
- 2.3
